[package]
name = "opnsense-config"
edition = "2021"
version.workspace = true
readme.workspace = true
license.workspace = true

[dependencies]
serde = { version = "1.0.123", features = [ "derive" ] }
log = { workspace = true }
env_logger = { workspace = true }
russh = { workspace = true }
russh-keys = { workspace = true }
thiserror = "1.0"
async-trait = { workspace = true }
tokio = { workspace = true }
opnsense-config-xml = { path = "../opnsense-config-xml" }
chrono = "0.4.38"
russh-sftp = "2.0.6"
serde_json = "1.0.133"
tokio-util = { version = "0.7.13", features = [ "codec" ] }
tokio-stream = "0.1.17"

[dev-dependencies]
pretty_assertions = "1.4.1"
